using APT.BaseData.Domain.Entities.BD;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 企业基本信息
    /// </summary>
    [Description("企业基本信息")]
    public partial class T_FM_BASE_INFO : MesEntityBase
    {
        [Description("企业名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [Description("企业简称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string ABB_NAME { get; set; }

        [Description("公示法人")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string LEGAL_PERSON { get; set; }

        [Description("统一社会信用代码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CREDIT_CODE { get; set; }

        [Description("区域ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_Place")]
        public Guid PLACE_ID { get; set; }

        [Description("是否央企")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public bool IS_CENTER { get; set; }

        [Description("企业属性")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_PropEunmItem")]
        public Guid PROP_ENUM_ITEM_ID { get; set; }

        [Description("资金单位")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_FundEunmItem")]
        public Guid FUND_ENUM_ITEM_ID { get; set; }

        [Description("注册资金")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public Decimal CAPITAL { get; set; }

        [Description("GDP")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public Decimal GDP { get; set; }

        [Description("导航：区域表")]
        public virtual T_BD_PLACE Nav_Place { get; set; }

        [Description("导航：枚举表")]
        public virtual T_FM_ENUM_ITEM Nav_PropEunmItem { get; set; }

        [Description("导航：枚举表")]
        public virtual T_FM_ENUM_ITEM Nav_FundEunmItem { get; set; }


    }
}
